SHLIB {base} | R Documentation

## Build Shared Library for Dynamic Loading

### Description

The given source files are first compiled using `R COMPILE`. All specified object files are then linked into a shared library which can be loaded into R using `dyn.load()`.

### Usage

    R SHLIB [-o libname] files

### Arguments

`files` | a list of names of (typically) source files to be compiled and included in the library. You can also include the name of object files which are automagically made from their sources.
`libname` | the full name of the shared library to be built, including the extension (typically ``.so`' on Unix systems). If not given, the name of the library is taken from the first source file.

### See Also

`COMPILE`, `dyn.load`

[Package Contents]